scala.tools.nsc.transform.patmat.MatchApproximation.MatchApproximator

# TreeMakersToPropsIgnoreNullChecks

#### class TreeMakersToPropsIgnoreNullChecks extends TreeMakersToProps

Source
  MatchAnalysis.scala

Linear Supertypes
TreeMakersToProps, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TreeMakersToPropsIgnoreNullChecks
2. TreeMakersToProps
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TreeMakersToPropsIgnoreNullChecks(root: Global.Symbol)

### Type Members

1. #### abstract class TreeMakerToProp extends (MatchApproximator.TreeMaker) ⇒ MatchApproximator.Prop

   Definition Classes
     TreeMakersToProps

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from TreeMakersToPropsIgnoreNullChecks to any2stringadd[TreeMakersToPropsIgnoreNullChecks] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (TreeMakersToPropsIgnoreNullChecks, B)

   Implicit information
     This member is added by an implicit conversion from TreeMakersToPropsIgnoreNullChecks to ArrowAssoc[TreeMakersToPropsIgnoreNullChecks] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def approximateMatch(cases: List[List[MatchApproximator.TreeMaker]], treeMakerToProp: TreeMakerToProp = conservative): collection.immutable.List[collection.immutable.List[Test]]

   Definition Classes
     TreeMakersToProps

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### final def binderToUniqueTree(b: Global.Symbol): MatchApproximator.Tree

   Definition Classes
     TreeMakersToProps

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### object conservative extends TreeMakerToProp

    Definition Classes
      TreeMakersToProps

11. #### def ensuring(cond: (TreeMakersToPropsIgnoreNullChecks) ⇒ Boolean, msg: ⇒ Any): TreeMakersToPropsIgnoreNullChecks

    Implicit information
      This member is added by an implicit conversion from TreeMakersToPropsIgnoreNullChecks to Ensuring[TreeMakersToPropsIgnoreNullChecks] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (TreeMakersToPropsIgnoreNullChecks) ⇒ Boolean): TreeMakersToPropsIgnoreNullChecks

    Implicit information
      This member is added by an implicit conversion from TreeMakersToPropsIgnoreNullChecks to Ensuring[TreeMakersToPropsIgnoreNullChecks] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): TreeMakersToPropsIgnoreNullChecks

    Implicit information
      This member is added by an implicit conversion from TreeMakersToPropsIgnoreNullChecks to Ensuring[TreeMakersToPropsIgnoreNullChecks] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): TreeMakersToPropsIgnoreNullChecks

    Implicit information
      This member is added by an implicit conversion from TreeMakersToPropsIgnoreNullChecks to Ensuring[TreeMakersToPropsIgnoreNullChecks] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from TreeMakersToPropsIgnoreNullChecks to StringFormat[TreeMakersToPropsIgnoreNullChecks] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

19. #### val fullRewrite: PartialFunction[MatchApproximator.TreeMaker, MatchApproximator.Prop]

    Definition Classes
      TreeMakersToProps

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### def onUnknown(handler: (MatchApproximator.TreeMaker) ⇒ MatchApproximator.Prop): TreeMakerToProp

    Definition Classes
      TreeMakersToProps
    Annotations
      @inline()

27. #### val refutableRewrite: PartialFunction[MatchApproximator.TreeMaker, MatchApproximator.Prop]

    Definition Classes
      TreeMakersToProps

28. #### val root: Global.Symbol

    Definition Classes
      TreeMakersToProps

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      AnyRef → Any

31. #### def unique(t: MatchApproximator.Tree, tpOverride: MatchApproximator.Type = NoType): MatchApproximator.Tree

    Definition Classes
      TreeMakersToProps

32. #### def uniqueEqualityProp(testedPath: MatchApproximator.Tree, rhs: MatchApproximator.Tree): MatchApproximator.Prop

    Definition Classes
      TreeMakersToProps

33. #### def uniqueNonNullProp(p: MatchApproximator.Tree): MatchApproximator.Prop

    Definition Classes
      TreeMakersToPropsIgnoreNullChecks → TreeMakersToProps

34. #### def uniqueTp(tp: MatchApproximator.Type): MatchApproximator.Type

    Definition Classes
      TreeMakersToProps

35. #### def uniqueTypeProp(testedPath: MatchApproximator.Tree, pt: MatchApproximator.Type): MatchApproximator.Prop

    Definition Classes
      TreeMakersToProps

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### def →[B](y: B): (TreeMakersToPropsIgnoreNullChecks, B)

    Implicit information
      This member is added by an implicit conversion from TreeMakersToPropsIgnoreNullChecks to ArrowAssoc[TreeMakersToPropsIgnoreNullChecks] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from TreeMakersToProps

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from TreeMakersToPropsIgnoreNullChecks to any2stringadd[TreeMakersToPropsIgnoreNullChecks]

### Inherited by implicit conversion StringFormat from TreeMakersToPropsIgnoreNullChecks to StringFormat[TreeMakersToPropsIgnoreNullChecks]

### Inherited by implicit conversion Ensuring from TreeMakersToPropsIgnoreNullChecks to Ensuring[TreeMakersToPropsIgnoreNullChecks]

### Inherited by implicit conversion ArrowAssoc from TreeMakersToPropsIgnoreNullChecks to ArrowAssoc[TreeMakersToPropsIgnoreNullChecks]

### Ungrouped